org.apache.ignite.internal.processors.odbc

## Interface ClientListenerRequest

All Known Implementing Classes:
  ClientBinaryTypeGetRequest, ClientBinaryTypeNameGetRequest, ClientBinaryTypeNamePutRequest, ClientBinaryTypePutRequest, ClientCacheClearKeyRequest, ClientCacheClearKeysRequest, ClientCacheClearRequest, ClientCacheContainsKeyRequest, ClientCacheContainsKeysRequest, ClientCacheCreateWithConfigurationRequest, ClientCacheCreateWithNameRequest, ClientCacheDestroyRequest, ClientCacheGetAllRequest, ClientCacheGetAndPutIfAbsentRequest, ClientCacheGetAndPutRequest, ClientCacheGetAndRemoveRequest, ClientCacheGetAndReplaceRequest, ClientCacheGetConfigurationRequest, ClientCacheGetNamesRequest, ClientCacheGetOrCreateWithConfigurationRequest, ClientCacheGetOrCreateWithNameRequest, ClientCacheGetRequest, ClientCacheGetSizeRequest, ClientCacheKeyRequest, ClientCacheKeysRequest, ClientCacheKeyValueRequest, ClientCacheLocalPeekRequest, ClientCacheNodePartitionsRequest, ClientCachePartitionsRequest, ClientCachePutAllRequest, ClientCachePutIfAbsentRequest, ClientCachePutRequest, ClientCacheQueryNextPageRequest, ClientCacheRemoveAllRequest, ClientCacheRemoveIfEqualsRequest, ClientCacheRemoveKeyRequest, ClientCacheRemoveKeysRequest, ClientCacheReplaceIfEqualsRequest, ClientCacheReplaceRequest, ClientCacheScanQueryRequest, ClientCacheSqlFieldsQueryRequest, ClientCacheSqlQueryRequest, ClientClusterChangeStateRequest, ClientClusterIsActiveRequest, ClientClusterWalChangeStateRequest, ClientClusterWalGetStateRequest, ClientListenerRequestNoId, ClientRawRequest, ClientRequest, ClientResourceCloseRequest, ClientTxEndRequest, ClientTxStartRequest, JdbcBatchExecuteRequest, JdbcBulkLoadBatchRequest, JdbcCachePartitionsRequest, JdbcMetaColumnsRequest, JdbcMetaIndexesRequest, JdbcMetaParamsRequest, JdbcMetaPrimaryKeysRequest, JdbcMetaSchemasRequest, JdbcMetaTablesRequest, JdbcOrderedBatchExecuteRequest, JdbcQueryCancelRequest, JdbcQueryCloseRequest, JdbcQueryExecuteRequest, JdbcQueryFetchRequest, JdbcQueryMetadataRequest, JdbcRequest, OdbcQueryCloseRequest, OdbcQueryExecuteBatchRequest, OdbcQueryExecuteRequest, OdbcQueryFetchRequest, OdbcQueryGetColumnsMetaRequest, OdbcQueryGetParamsMetaRequest, OdbcQueryGetTablesMetaRequest, OdbcQueryMoreResultsRequest, OdbcRequest, OdbcStreamingBatchRequest

    public interface ClientListenerRequest

Client listener command request.

### Field Summary

Fields
`static int` `HANDSHAKE` Handshake request.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `requestId()`

### Field Detail

#### HANDSHAKE

    static final int HANDSHAKE

Handshake request.

See Also:
  Constant Field Values

### Method Detail

#### requestId

    long requestId()

Returns:
  Request ID.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020